# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/spotify/spotify-0.9.11.27-r2.ebuild,v 1.1 2014/12/12 16:19:50 prometheanfire Exp $

EAPI=5
inherit eutils unpacker multilib gnome2-utils fdo-mime versionator

DESCRIPTION="ecoDMS client application"
HOMEPAGE="http://www.ecodms.de/"
SRC_BASE="http://www.ecodms.de/"

MY_PV=$(replace_version_separator 2 '-' )
MY_P="${PN}-${MY_PV}"
EDITION=$(delete_all_version_separators $(get_version_component_range 1-2 ${MY_PV} ))
SRC_URI="
        amd64? ( ${SRC_BASE}ecodms_${EDITION}64/wheezy/${MY_P}_amd64.deb )
        x86?   ( ${SRC_BASE}ecodms_${EDITION}32/wheezy/${MY_P}_i386.deb )
        "
SLOT="0"
KEYWORDS="~amd64 ~x86"
RESTRICT="mirror strip"
IUSE="english"

QA_PREBUILT="*"

DEPEND=""
RDEPEND="${DEPEND}
		dev-libs/libappindicator
		media-libs/tiff"

S=${WORKDIR}

src_prepare() {
    rm ${S}/_gpgbuilder
    rm ${S}/opt/ecodms/ecodmsclient/platformthemes/libqgtk2.so
    rm ${S}/opt/ecodms/ecodmsclient/update-unity.sh
}

src_install() {
    INSHOME=${S}/opt/ecodms/ecodmsclient
    ECOHOME=/opt/ecodms/ecodmsclient

    dosym /usr/$(get_libdir)/libappindicator3.so ${ECOHOME}/libappindicator.so.1

    use english && cp ${INSHOME}/language_en.qm ${INSHOME}/language.qm
	use english || cp ${INSHOME}/language_de.qm ${INSHOME}/language.qm

	doins -r opt

    exeinto ${ECOHOME}
    for i in pdfoverlay printcomworker ecodmssinglesignon ecodmsprinthandler ecodmsclient; do
	  doexe opt/ecodms/ecodmsclient/$i
	done
	doexe opt/ecodms/ecodmsclient/*.sh

    make_desktop_entry ${ECOHOME}/ecodmsconmgr.sh "ecoDMS Connection Manager" ${ECOHOME}/icons/signon.png Office "Path=${ECOHOME}\nStartupNotify=true"
    make_desktop_entry ${ECOHOME}/ecodmsclient.sh "ecoDMS Client" ${ECOHOME}/icons/ecodms.png Office "Path=${ECOHOME}\nStartupNotify=true"
}

#pkg_preinst() {
#}

pkg_postinst() {
    fdo-mime_desktop_database_update
    fdo-mime_mime_database_update
    gnome2_icon_cache_update
	optfeature "PDF/A printer" net-print/ecodmsprinter
	optfeature "ecoICE Image Correction Editor" app-office/ecoice
}

#pkg_postrm() {
#}

