# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/spotify/spotify-0.9.11.27-r2.ebuild,v 1.1 2014/12/12 16:19:50 prometheanfire Exp $

EAPI=5
inherit versionator eutils unpacker multilib gnome2-utils fdo-mime

DESCRIPTION="ecoICE - Image Correction Editor for ecoDMS"
HOMEPAGE="http://www.ecodms.de/"
SRC_BASE="http://www.ecodms.de/"

MY_PV=$(replace_version_separator 2 '-' )
MY_P="${PN}-${MY_PV}"
EDITION=$(delete_all_version_separators $(get_version_component_range 1-2 ${MY_PV} ))
SRC_URI="
        amd64? ( ${SRC_BASE}ecodms_${EDITION}64/wheezy/${MY_P}_amd64.deb )
        x86?   ( ${SRC_BASE}ecodms_${EDITION}32/wheezy/${MY_P}_i386.deb )
        "
SLOT="0"
KEYWORDS="~amd64 ~x86"
RESTRICT="mirror strip"
IUSE="english"

QA_PREBUILT="*"

DEPEND=""
RDEPEND="${DEPEND}
		media-gfx/sane-backends
        media-libs/libpng:1.2
        media-libs/jpeg:8
        dev-libs/libpcre
		media-libs/tiff:3"

S=${WORKDIR}

src_prepare() {
    rm ${S}/_gpgbuilder
}

src_install() {
    INSHOME=${S}/opt/ecodms/ecoice
    ECOHOME=/opt/ecodms/ecoice

    dosym /usr/$(get_libdir)/libpcreposix.so ${ECOHOME}/libpcre.so.3

    use english && cp ${INSHOME}/language_en.qm ${INSHOME}/language.qm
	use english || cp ${INSHOME}/language_de.qm ${INSHOME}/language.qm

	doins -r opt

    exeinto ${ECOHOME}
    for i in ecoice ecoice.sh; do
	  doexe opt/ecodms/ecoice/$i
	done

    make_desktop_entry ${ECOHOME}/ecoice.sh "ecoICE" ${ECOHOME}/icons/ecoice.png Office "Path=${ECOHOME}\nStartupNotify=true"
}

#pkg_preinst() {
#}

pkg_postinst() {
    fdo-mime_desktop_database_update
    fdo-mime_mime_database_update
    gnome2_icon_cache_update
}

#pkg_postrm() {
#}

